Bug 12767 - samba-tool user syncpasswords doesn't trigger the script when a user gets removed
samba-tool user syncpasswords doesn't trigger the script when a user gets rem...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.6.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-04 15:30 UTC by Stefan Metzmacher
Modified: 2017-05-19 07:23 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-6-test (1.56 KB, patch)
2017-05-08 09:02 UTC, Stefan Metzmacher
asn: review+
Details
Patch for v4-5-test (1.56 KB, patch)
2017-05-08 09:04 UTC, Stefan Metzmacher
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-05-04 15:30:38 UTC
The pending LDAP search with the NOTIFICATION control doesn't get triggered when
an object gets deleted. There's no real problem as the next modification will report the deletion. But it might be delayed a few minutes.
Comment 1 Stefan Metzmacher 2017-05-08 09:02:28 UTC
Created attachment 13196 [details]
Patch for v4-6-test
Comment 2 Stefan Metzmacher 2017-05-08 09:04:21 UTC
Created attachment 13197 [details]
Patch for v4-5-test
Comment 3 Andreas Schneider 2017-05-08 09:09:26 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2017-05-09 08:17:08 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-05-19 07:23:11 UTC
Pushed to both branches.
Closing out bug report.

Thanks!